###############################################################
#######################  AZR・Développement ####################
###################  https://discord.gg/QWQQMCcXQ6  ###########
###############################################################


# Ne changez l'adresse IP que si vous utilisez un serveur avec plusieurs interfaces réseau, sinon ne changez que le port.
endpoint_add_tcp "0.0.0.0:30120"
endpoint_add_udp "0.0.0.0:30120"

# database
set es_enableCustomData 1
set mysql_connection_string "server=localhost;uid=NON UTILISATEUR;password=TON MOT DE PASS;database=NON DE TA BASE"
set mysql_slow_query_warning 5000


sv_scriptHookAllowed 0
sv_endpointprivacy true 

set es_enableCustomData 1
set onesync_enabled true ------------- SI TU VEUX ACTIVER ONESYNC  TRUE/FALSE

#-----ONESYNC----#
#set onesync_distanceCullVehicles true #Cause des crash pour le moment + Cause des joueurs invisibles
set onesync_forceMigration true 
set onesync_workaround763185 true


##########################################################################################

# Ces ressources démarreront par défaut.
ensure mapmanager
ensure chat
ensure spawnmanager
ensure sessionmanager
ensure basic-gamemode
ensure hardcap
ensure rconlog

##
stop webadmin
stop monitor
##

##### UI #####
ensure esx_menu_default
ensure esx_menu_dialog
ensure esx_menu_list

###### ESSENTIEL ######
ensure mysql-async
ensure essentialmode
ensure esplugin_mysql
ensure es_extended
ensure vSync
ensure bob74_ipl


###### Esx ######

#### Esx-Base ####
ensure esx_addoninventory #Coffre inventaire société
ensure esx_billing #Facture
ensure esx_skin # Création perso
ensure esx_identity # Création identitée
ensure esx_status # Faim et soif
ensure esx_service # Prise de service métiers
ensure esx_society
ensure esx_addonaccount #Argent Société
ensure esx_datastore #Coffre
ensure skinchanger # Changement perso

########################################################################################################################

sv_endpointprivacy true
sets onesync legacy
set steam_webApiKey
set sv_licenseKey 

add_principal identifier. group.superadmin 
add_ace resource.essentialmode command.sets allow
add_ace group.admin command allow 
add_ace group.admin command.quit deny 
add_ace resource.essentialmode command.add_ace allow
add_ace resource.essentialmode command.add_principal allow

# Décommentez ceci et définissez un mot de passe pour activer RCON. Assurez-vous de changer le mot de passe - il devrait ressembler à rcon_password "YOURPASSWORD"
#mot de passe RCON ""

# Une liste de balises séparées par des virgules pour votre serveur.
# Par exemple:
# - définit les balises "drift, cars, racing"
# Ou:
# - définit les balises "jeu de rôle, militaire, chars"
sets tags "default"

# Un identifiant de paramètres régionaux valide pour la langue principale de votre serveur.
# Par exemple "en-US", "fr-CA", "nl-NL", "de-DE", "en-GB", "pt-BR"
sets locale "root-AQ" 
# veuillez remplacer root-AQ sur la ligne CI-DESSUS par un vrai langage! :)

# Définissez une information de serveur facultative et l'URL de l'image de la bannière de connexion.
# La taille n'a pas d'importance, toute image de la taille d'une bannière conviendra.
#sets banner_detail "https://url.to/image.png"
#sets banner_connecting "https://url.to/image.png"

# Définissez le nom d'hôte de votre serveur
sv_hostname ""

# Configurations imbriquées!
#exec server_internal.cfg

# Chargement d'une icône de serveur (fichier PNG 96x96)
#load_server_icon myLogo.png

# convars utilisables dans les scripts
set temp_convar "hey world!"

# Supprimez le «#» de la ligne ci-dessous si vous ne souhaitez pas que votre serveur soit répertorié dans le navigateur du serveur.
# Ne le modifiez pas si vous * voulez * que votre serveur soit répertorié.
# sv_master1 ""

# enable OneSync (requis pour la détection de l'état côté serveur)
set onesync on

# Limite de l'emplacement du joueur du serveur (voir https://fivem.net/server-hosting pour les limites)
sv_maxclients 32

# Clé API Web Steam, si vous souhaitez utiliser l'authentification Steam (https://steamcommunity.com/dev/apikey)
# -> remplacer "" par la clé
set steam_webApiKey ""

# Clé de licence pour votre serveur (https://keymaster.fivem.net)
sv_licenseKey 

# By AZR DEV